<template>
<div v-if="ready">
  <h4>Which API?</h4>
  <select v-model="apiSelection">
    <option v-for="o in apiOptions" :key="o.api" :value="o.api">{{o.name}}</option>
    <option value="">Other</option>
  </select>
  <div v-if="apiSelection == ''">
    <input type="text" placeholder="http://api.breadwallet.docker" v-model="api" />
    <button @click="setApi">Set API</button>
  </div>
  Active API: {{$brd.options.api}}
</div>
</template>
<script>

var BRD;

export default {
  data() {
    return {
      ready: false,
      apiOptions: [{api:'https://api.breadwallet.com',name:'Production'},
                   {api:'https://stage2.breadwallet.com',name:'Staging'},],
      api: null,
    };
  },
  mounted() {
    this.api = (typeof localStorage != 'undefined') && localStorage.getItem('brd-api') || DEFAULT_API;
    this.ready = true;
  },
  computed: {
    apiSelection: {
      get() {
        if(this.apiOptions.find((o => o.api == this.api)))
          return this.api;
        return "";
      },
      set(value) {
        if(value)
          this.setApi(value);
        else
          this.api = value;
      },
    },
  },
  methods: {
    setApi: async function(value) {
      if(typeof value == 'string') this.api = value;
      
      localStorage.setItem('brd-api',this.api);
      document.location.reload();
    }
  }
}

</script>
